<?php
// BODYCENTER Product Ajax Tab
add_shortcode('bodycenter_products_ajaxtab', 'bodycenter_products_ajaxtab_template');
add_action('vc_after_init', 'bodycenter_products_ajaxtab_settings');
function bodycenter_products_ajaxtab_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_woo_template('bodycenter_products_ajaxtab'))
        include $template;
    return ob_get_clean();
}
function bodycenter_products_ajaxtab_settings() {
	$extra_class = bodycenter_extra_class();
	$woocat_value = bodycenter_woo_cat();
	$categories = bodycenter_woo_cat(0);
	$woocat_value_drop =  array();
	bodycenter_woo_cat_level(0, 0, $categories, 0, $woocat_value_drop);

	vc_map( array(
		"name" => esc_html__("Products Ajax Tab",'bodycenter-shortcodes'),
		"base" => "bodycenter_products_ajaxtab",
		"icon" => "icon_bodycenter_products_ajaxtab",
		"class" => "bodycenter_products_ajaxtab",
		"category" => esc_html__("BodyCenter",'bodycenter-shortcodes'),
		"description" => esc_html__( "Products Ajax Tab",'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title",'bodycenter-shortcodes'),
				"param_name" => "title",
				"admin_label" => true,
				"value" =>  esc_html__("The title", 'bodycenter-shortcodes'),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Tab by?",'bodycenter-shortcodes'),
				"param_name" => "tab_type",
				"admin_label" => true,
				"value" => array(
					esc_html__("Order by",'bodycenter-shortcodes') => '1',
					esc_html__("Category",'bodycenter-shortcodes') => '2',
				),
			),
			array(
				"type" => "checkbox",
				"heading" => esc_html__("Select tab to display",'bodycenter-shortcodes'),
				"param_name" => "orderby_tab",
				"value" => array(
					esc_html__('Latest', 'bodycenter-shortcodes') => "recent",
					esc_html__('Best Seller', 'bodycenter-shortcodes') => "best_selling",
					esc_html__('Top Rated', 'bodycenter-shortcodes') => "top_rate",
					esc_html__('Special', 'bodycenter-shortcodes') => "on_sale",
					esc_html__('Featured', 'bodycenter-shortcodes') => "featured_product",
					esc_html__('Recent Review', 'bodycenter-shortcodes') => "recent_review",
				),
				"description" => "",
				'dependency' => array(
					'element' => 'tab_type',
					'value' => '1',
				),
			),
			array(
				"type" => "checkbox",
				"heading" => esc_html__("Select tab to display",'bodycenter-shortcodes'),
				"param_name" => "cat_tab",
				"value" => $woocat_value,
				"description" => "",
				'dependency' => array(
					'element' => 'tab_type',
					'value' => '2',
				),
			),
			array(
				"type" => "dropdown",
				'multiple' => false,
				"heading" => esc_html__("Want to show total product in category?",'bodycenter-shortcodes'),
				"admin_label" => true,
				"value" => array(
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
					esc_html__("No",'bodycenter-shortcodes') => '2',
				),
				"param_name" => "show_cat_number",
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Want to show tab All Category?",'bodycenter-shortcodes'),
				"param_name" => "show_tab_all",
				"value" => array(
					esc_html__('Yes', 'bodycenter-shortcodes') => "1",
					esc_html__('No', 'bodycenter-shortcodes') => "2",
				),
				'dependency' => array(
					'element' => 'tab_type',
					'value' => '2',
				),
			),
			// array(
		 //        "type" => "attach_images",
		 //        "heading" => esc_html__("Background image(or banner) for each tab content", 'bodycenter-shortcodes'),
		 //        "param_name" => "image_tabcontent",
		 //        'description' => esc_html__( 'Drag and drop image to sort oder. The oder of image is the same with the oder of tab above', 'bodycenter-shortcodes' ),
		 //        'dependency' => array(
			// 		'element' => 'content_tab_template',
			// 		'value' => array('3', '4'),
			// 	),
		 //    ),
			array(
				"type" => "checkbox",
				"value" => $woocat_value,
				"heading" => esc_html__("Choice categories",'bodycenter-shortcodes'),
				"param_name" => "cat",
				"description" => esc_html__('If you dont choice, That mean it will query all category','bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'tab_type',
					'value' => '1',
				),
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Order by",'snsmarket-shortcodes'),
				"param_name" => "orderby",
				"value" => array(
					esc_html__('Latest', 'bodycenter-shortcodes') => "recent",
					esc_html__('Best Seller', 'bodycenter-shortcodes') => "best_selling",
					esc_html__('Top Rated', 'bodycenter-shortcodes') => "top_rate",
					esc_html__('Special', 'bodycenter-shortcodes') => "on_sale",
					esc_html__('Featured', 'bodycenter-shortcodes') => "featured_product",
					esc_html__('Recent Review', 'bodycenter-shortcodes') => "recent_review",
				),
				'dependency' => array(
					'element' => 'tab_type',
					'value' => '2',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Use short title for tab?",'bodycenter-shortcodes'),
				"param_name" => "short_title",
				"value" => array(
					esc_html__("No",'bodycenter-shortcodes') => '2',
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
				),
				'dependency' => array(
					'element' => 'tab_type',
					'value' => '1',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Box style",'bodycenter-shortcodes'),
				"param_name" => "box_style",
				"admin_label" => true,
				"value" => array(
					esc_html__("Style 1",'bodycenter-shortcodes') => '1',
					esc_html__("Style 2",'bodycenter-shortcodes') => '2',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Product style",'bodycenter-shortcodes'),
				"param_name" => "gridstyle",
				"admin_label" => true,
				"value" => array(
					esc_html__("Style 1",'bodycenter-shortcodes') => '',
					esc_html__("Style 2",'bodycenter-shortcodes') => '2',
					esc_html__("Style 3",'bodycenter-shortcodes') => '3',
					esc_html__("Style 4",'bodycenter-shortcodes') => '4',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Want to choose thumbnail",'bodycenter-shortcodes'),
				"param_name" => "thumbnail",
				"value" => array(
					esc_html__("No",'bodycenter-shortcodes') => '',
					esc_html__("shop_single",'bodycenter-shortcodes') => 'shop_single',
					esc_html__("bodycenter_woo_370370_thumb",'bodycenter-shortcodes') => 'bodycenter_woo_370370_thumb',
					esc_html__("shop_catalog",'bodycenter-shortcodes') => 'shop_catalog',
					//esc_html__("WP large",'bodycenter-shortcodes') => 'large',
				),
			),
			array(
				"type" => "dropdown",
				'multiple' => true,
				"class" => "",
				"value" => array(
					esc_html__('No Effect', 'bodycenter-shortcodes') => "simple-effect",
					esc_html__('fadeIn', 'bodycenter-shortcodes') => "fadeIn",
					esc_html__('fadeInUp', 'bodycenter-shortcodes') => "fadeInUp",
					esc_html__('fadeInDown', 'bodycenter-shortcodes') => "fadeInDown",
					esc_html__('fadeInRight', 'bodycenter-shortcodes') => "fadeInRight",
					esc_html__('fadeInLeft', 'bodycenter-shortcodes') => "fadeInLeft",
					esc_html__('bounceIn', 'bodycenter-shortcodes') => "bounceIn",
					esc_html__('bounceInUp', 'bodycenter-shortcodes') => "bounceInUp",
					esc_html__('bounceInDown', 'bodycenter-shortcodes') => "bounceInDown",
					esc_html__('bounceInLeft', 'bodycenter-shortcodes') => "bounceInLeft",
					esc_html__('bounceInRight', 'bodycenter-shortcodes') => "bounceInRight",
					esc_html__('zoomIn', 'bodycenter-shortcodes') => "zoomIn",
					esc_html__('zoomInUp', 'bodycenter-shortcodes') => "zoomInUp",
					esc_html__('zoomInDown', 'bodycenter-shortcodes') => "zoomInDown",
					esc_html__('zoomInLeft', 'bodycenter-shortcodes') => "zoomInLeft",
					esc_html__('zoomInRight', 'bodycenter-shortcodes') => "zoomInRight",

				),
				"heading" => esc_html__("Effect to show product in tab",'bodycenter-shortcodes'),
				"param_name" => "effect",
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Template for each tab content",'bodycenter-shortcodes'),
				"param_name" => "content_tab_template",
				"admin_label" => true,
				"value" => array(
					esc_html__("Carousel",'bodycenter-shortcodes') => '1',
					esc_html__("Grid and Load more button",'bodycenter-shortcodes') => '2',
					esc_html__("Carousel - Special template",'bodycenter-shortcodes') => '3',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Want to show Load more button?",'bodycenter-shortcodes'),
				"param_name" => "want_loadmore",
				"value" => array(
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
					esc_html__("No",'bodycenter-shortcodes') => '2',
				),
				'dependency' => array(
					'element' => 'content_tab_template',
					'value' => array('2'),
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Use Navigation",'bodycenter-shortcodes'),
				"param_name" => "use_nav",
				"value" => array(
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
					esc_html__("No",'bodycenter-shortcodes') => '2',
				),
				'dependency' => array(
					'element' => 'content_tab_template',
					'value' => array('1', '3'),
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Navigation position",'bodycenter-shortcodes'),
				"param_name" => "nav_pos",
				"value" => array(
					esc_html__("In middle box - Default",'bodycenter-shortcodes') => 'middlebox',
					esc_html__("In top right",'bodycenter-shortcodes') => 'topright',
					esc_html__("In top center",'bodycenter-shortcodes') => 'topcenter',
					
				),
				'dependency' => array(
					'element' => 'use_nav',
					'value' => '1',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Use Paging",'bodycenter-shortcodes'),
				"param_name" => "use_paging",
				"value" => array(
					esc_html__("No",'bodycenter-shortcodes') => '2',
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
				),
				'dependency' => array(
					'element' => 'content_tab_template',
					'value' => array('1', '3'),
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Use autoplay",'bodycenter-shortcodes'),
				"param_name" => "autoplay",
				"value" => array(
					esc_html__("No",'bodycenter-shortcodes') => '2',
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
				),
				'dependency' => array(
					'element' => 'content_tab_template',
					'value' => array('1', '3'),
				),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number product limit for each tab",'bodycenter-shortcodes'),
				"param_name" => "number_limit",
				"admin_label" => true,
				"value" =>  esc_html__("16", 'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'content_tab_template',
					'value' => array('1', '3'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number product will show more with each click load more button",'bodycenter-shortcodes'),
				"param_name" => "num_showmore",
				"value" => "6",
				'dependency' => array(
					'element' => 'content_tab_template',
					'value' => '2',
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Row per Column",'bodycenter-shortcodes'),
				"param_name" => "number_row",
				"value" => "1"
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number product per column to display on Desktop",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_desktop",
				"admin_label" => true,
				"value" =>  esc_html__("5", 'bodycenter-shortcodes'),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number product per column to display on Tablet Landscape",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_tablet",
				"admin_label" => true,
				"value" =>  esc_html__("3", 'bodycenter-shortcodes'),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number product per column to display on Tablet Portrait",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_tabletp",
				"admin_label" => true,
				"value" =>  esc_html__("2", 'bodycenter-shortcodes'),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number product per column to display on Mobile Landscape",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_mobilel",
				"admin_label" => true,
				"value" =>  esc_html__("2", 'bodycenter-shortcodes'),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number product per column to display on Nobile Portrait",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_mobilep",
				"admin_label" => true,
				"value" =>  esc_html__("1", 'bodycenter-shortcodes'),
			),
			vc_map_add_css_animation(),
			$extra_class,
		)
	) );
}