<?php
// SNS Cat Info
add_shortcode('sns_cat_info', 'bodycenter_cat_info_template');
add_action('vc_after_init', 'bodycenter_cat_info_settings');
function bodycenter_cat_info_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_woo_template('sns_cat_info'))
        include $template;
    return ob_get_clean();
}
function bodycenter_cat_info_settings() {
	$extra_class = bodycenter_extra_class();
	$categories = bodycenter_woo_cat(0);
	$woocat_value_drop =  array();
	bodycenter_woo_cat_level(0, 0, $categories, 0, $woocat_value_drop);
	vc_map( array(
		"name" => esc_html__("SNS Cat Info",'bodycenter-shortcodes'),
		"base" => "sns_cat_info",
		"icon" => "sns_icon_cat_info",
		"class" => "sns_cat_info",
		"category" => esc_html__("BodyCenter",'bodycenter-shortcodes'),
		"description" => esc_html__( "WooCommerce category info",'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Category info you want to display",'bodycenter-shortcodes'),
				"admin_label" => true,
				"param_name" => "info_want",
				"value" => array(
					esc_html__('Show number product', 'bodycenter-shortcodes') => "1",
					esc_html__('Show custom price - just from', 'bodycenter-shortcodes') => "2",
					esc_html__('Show shop now button', 'bodycenter-shortcodes') => "3",
					esc_html__('Show see all button', 'bodycenter-shortcodes') => "4",
				),
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Resource type",'bodycenter-shortcodes'),
				//"admin_label" => true,
				"param_name" => "r_type",
				"value" => array(
					esc_html__('From Product Category', 'bodycenter-shortcodes') => "1",
					esc_html__('From custom input', 'bodycenter-shortcodes') => "2",
				),
			),
			array(
				"type" => "dropdown",
				'multiple' => false,
				"heading" => esc_html__("Select category",'bodycenter-shortcodes'),
				//"admin_label" => true,
				"class" => "",
				"value" => $woocat_value_drop,
				"param_name" => "cat",
				'dependency' => array(
					'element' => 'r_type',
					'value' => array('1'),
				),
			),
			array(
		      	"type" => "textfield",
				"heading" => esc_html__("Want to use Custom Name for category?", "bodycenter-shortcodes"),
				"param_name" => "ctitle",
				//"admin_label" => true,
				'dependency' => array(
					'element' => 'r_type',
					'value' => array('1'),
				),
		    ),
		    array(
				'type' => 'vc_link',
				'heading' => esc_html__( 'Link for Category', 'bodycenter-shortcodes' ),
				'param_name' => 'clink',
				//"admin_label" => true,
				'dependency' => array(
					'element' => 'r_type',
					'value' => array('2'),
				),
			),
			array(
				"type" => "attach_image",
				"heading" => esc_html__("Image for Category", 'bodycenter-shortcodes'),
				"param_name" => "cat_image",
		    ),
		    
			array(
		      	"type" => "textfield",
				"heading" => esc_html__("Just from", "bodycenter-shortcodes"),
				"param_name" => "jf_price",
				//"admin_label" => true,
				"value" => esc_html__('$5.00', 'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'info_want',
					'value' => array('2'),
				),
		    ),
			vc_map_add_css_animation(),
			$extra_class,
		)
	) );
}