<?php
// SNS Hot Deals
add_shortcode('sns_hot_deals', 'bodycenter_hot_deals_template');
add_action('vc_after_init', 'bodycenter_hot_deals_settings');
function bodycenter_hot_deals_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_woo_template('sns_hot_deals'))
        include $template;
    return ob_get_clean();
}
function bodycenter_hot_deals_settings() {
	$extra_class = bodycenter_extra_class();
	$woocat_value = bodycenter_woo_cat();
	// Autocomplete product
    if ( class_exists('Vc_Vendor_Woocommerce') ){
        $bodycenter_vcwoo = 'Vc_Vendor_Woocommerce';
        add_filter( 'vc_autocomplete_sns_hot_deals_ids_callback', array(&$bodycenter_vcwoo, 'productIdAutocompleteSuggester',), 10, 1 ); // Get suggestion(find). Must return an array
        add_filter( 'vc_autocomplete_sns_hot_deals_ids_render', array(&$bodycenter_vcwoo, 'productIdAutocompleteRender',), 10, 1 ); // Render exact product. Must return an array (label,value)
    }
	vc_map( array(
		"name" => esc_html__("SNS Hot Deals",'bodycenter-shortcodes'),
		"base" => "sns_hot_deals",
		"icon" => "sns_icon_hot_deals",
		"class" => "sns_hot_deals",
		"category" => esc_html__("BodyCenter",'bodycenter-shortcodes'),
		"description" => esc_html__( "Show hot deals",'bodycenter-shortcodes' ),
		"params" => array(
			array(
				'type' => 'autocomplete',
				'heading' => __( 'Select product deals', 'bodycenter-shortcodes' ),
				'param_name' => 'ids',
				'settings' => array(
					'multiple' => true,
					'sortable' => true,
					'unique_values' => true,
					// In UI show results except selected. NB! You should manually check values in backend
				),
				'save_always' => true,
				'description' => __( 'You can typing id or product name to input form. And should select products are On sale and have "Sale price dates to"', 'bodycenter-shortcodes' ),
			),
			array(
		      "type" => "attach_image",
		      "heading" => esc_html__("Image wrapper for this box", 'bodycenter-shortcodes'),
		      "param_name" => "prd_image",
		    ),
			vc_map_add_css_animation(),
			$extra_class,
		)
	) );
}