<?php
// SNS Product
add_shortcode('sns_products', 'bodycenter_products_template');
add_action('vc_after_init', 'bodycenter_products_settings');
function bodycenter_products_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_woo_template('sns_products'))
        include $template;
    return ob_get_clean();
}
function bodycenter_products_settings() {
	$extra_class = bodycenter_extra_class();
	$woocat_value = bodycenter_woo_cat();
	vc_map( array(
		"name" => esc_html__("SNS Products",'bodycenter-shortcodes'),
		"base" => "sns_products",
		"icon" => "sns_icon_products",
		"class" => "sns_products",
		"category" => esc_html__("BodyCenter",'bodycenter-shortcodes'),
		"description" => esc_html__( "WooCommerce products",'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Text before Title",'bodycenter-shortcodes'),
				"param_name" => "before_title",
				"admin_label" => true,
				"value" =>  "",
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Title",'bodycenter-shortcodes'),
				"param_name" => "title",
				"admin_label" => true,
				"value" =>  esc_html__("New Products", 'bodycenter-shortcodes'),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Text after Title",'bodycenter-shortcodes'),
				"param_name" => "after_title",
				"admin_label" => true,
				"value" =>  "",
			),
			array(
				"type" => "checkbox",
				"class" => "",
				"value" => $woocat_value,
				"heading" => esc_html__("Select Category",'bodycenter-shortcodes'),
				"param_name" => "lit_cat",
				"description" => esc_html__("If you don't select any category, It mean is selected all category", 'bodycenter-shortcodes')
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Order By",'bodycenter-shortcodes'),
				"param_name" => "orderby",
				"value" => array(
					esc_html__('Latest products', 'bodycenter-shortcodes') => "recent",
					esc_html__('Best seller products', 'bodycenter-shortcodes') => "best_selling",
					esc_html__('Top rated products', 'bodycenter-shortcodes') => "top_rate",
					esc_html__('On sale products', 'bodycenter-shortcodes') => "on_sale",
					esc_html__('Hot deal', 'bodycenter-shortcodes') => "hot_deal",
					esc_html__('Featured products', 'bodycenter-shortcodes') => "featured_product",
					esc_html__('Recent review', 'bodycenter-shortcodes') => "recent_review",
				),
				"description" => ""
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Mode View",'bodycenter-shortcodes'),
				"param_name" => "modeview",
				"admin_label" => true,
				"value" => array(
					esc_html__("Gird",'bodycenter-shortcodes') => '1',
					esc_html__("List",'bodycenter-shortcodes') => '2',
				),
				"description" => esc_html__("Mode View", 'bodycenter-shortcodes')
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Grid style",'bodycenter-shortcodes'),
				"param_name" => "gridstyle",
				"admin_label" => true,
				"value" => array(
					esc_html__("Style 1",'bodycenter-shortcodes') => '',
					esc_html__("Style 2",'bodycenter-shortcodes') => '2',
					esc_html__("Style 3",'bodycenter-shortcodes') => '3',
					esc_html__("Style 4",'bodycenter-shortcodes') => '4',
				),
				'dependency' => array(
					'element' => 'modeview',
					'value' => '1',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Thumbnail type",'bodycenter-shortcodes'),
				"param_name" => "thumb_type",
				"value" => array(
					esc_html__("Shop Thumbnail",'bodycenter-shortcodes') => '',
					esc_html__("BodyCenter 90x68 Thumbnail",'bodycenter-shortcodes') => '9068',
					esc_html__("BodyCenter 90x123 Thumbnail",'bodycenter-shortcodes') => '90123',
				),
				'dependency' => array(
					'element' => 'modeview',
					'value' => '2',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Use Navigation",'bodycenter-shortcodes'),
				"param_name" => "use_nav",
				"value" => array(
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
					esc_html__("No",'bodycenter-shortcodes') => '2',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Navigation position",'bodycenter-shortcodes'),
				"param_name" => "nav_pos",
				"value" => array(
					esc_html__("In middle box - Default",'bodycenter-shortcodes') => 'middlebox',
					esc_html__("In top right",'bodycenter-shortcodes') => 'topright',
					esc_html__("In top center",'bodycenter-shortcodes') => 'topcenter',
					
				),
				'dependency' => array(
					'element' => 'use_nav',
					'value' => '1',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Use Paging",'bodycenter-shortcodes'),
				"param_name" => "use_paging",
				"value" => array(
					esc_html__("No",'bodycenter-shortcodes') => '2',
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Product number limit",'bodycenter-shortcodes'),
				"param_name" => "number_limit",
				"value" => "10",
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Row per Column",'bodycenter-shortcodes'),
				"param_name" => "number_row",
				"value" => "1"
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Desktop",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_desktop",
				"value" => "5"
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Laptop",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_laptop",
				"value" => "5"
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Tablet Landscape",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_tablet",
				"value" => "4"
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Tablet Portrait",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_tabletp",
				"value" => "4"
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display Mobile Landscape",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_mobilel",
				"value" => "2"
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Mobile Portrait",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				"param_name" => "number_mobilep",
				"value" => "1"
			),
			vc_map_add_css_animation(),
			$extra_class,
		)
	) );
}