<?php
// SNS Banner
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_SNS_Banner extends WPBakeryShortCode {
		function __construct( $settings ) {
			parent::__construct( $settings );
		}
	}
}
add_shortcode('sns_banner', 'bodycenter_banner_template');
add_action('vc_after_init', 'bodycenter_banner_settings');
function bodycenter_banner_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('sns_banner'))
        include $template;
    return ob_get_clean();
}
function bodycenter_banner_settings() {
	$extra_class = bodycenter_extra_class();
    vc_map( array(
		"name"  => esc_html__("SNS Banner", 'bodycenter-shortcodes'),
		"base" => "sns_banner",
		"show_settings_on_create" => true ,
		"is_container" => false ,
		"icon" => "vc_icon_snstheme",
		"class" => "vc_icon_snstheme",
		"content_element" => true ,
		"category" => esc_html__('BodyCenter', 'bodycenter-shortcodes'),
		'description' => esc_html__( 'Banner with image and heading, sub heading, ...', 'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "dropdown",
				'value' => array(
					esc_html__( 'Category banner - Content text in center', 'bodycenter-shortcodes' ) => '1',
					esc_html__( 'Product - Info text in bottom', 'bodycenter-shortcodes' ) => '2',
				),
				"heading" => esc_html__("Banner style", 'bodycenter-shortcodes'),
				"param_name" => "style"
		    ),
		    array(
		      "type" => "attach_image",
		      "heading" => esc_html__("Banner image", "bodycenter-shortcodes"),
		      "param_name" => "image" 
		    ),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Sub heading", 'bodycenter-shortcodes'),
				"param_name" => "sub_heading" ,
				"value" => esc_html__("Sub heading",'bodycenter-shortcodes'),
				"dependency" => array(
					'element' => 'style',
					'value' => '1',
				),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Heading/Title", 'bodycenter-shortcodes'),
				"param_name" => "heading" ,
				"value" => esc_html__("Heading",'bodycenter-shortcodes'),
			),
			array(
				'type' => 'vc_link',
				'heading' => esc_html__( 'View link', 'bodycenter-shortcodes' ),
				'param_name' => 'view_link',
				"dependency" => array(
					'element' => 'style',
					'value' => '1',
				),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Price", 'bodycenter-shortcodes'),
				"param_name" => "price",
				"value" => esc_html__("$15.00",'bodycenter-shortcodes'),
				"dependency" => array(
					'element' => 'style',
					'value' => '2',
				),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Wana show original price(discount)?", 'bodycenter-shortcodes'),
				"param_name" => "o_price",
				"value" => esc_html__("$17.00",'bodycenter-shortcodes'),
				"dependency" => array(
					'element' => 'style',
					'value' => '2',
				),
			),
			array(
				'type' => 'vc_link',
				'heading' => esc_html__( 'View button', 'bodycenter-shortcodes' ),
				'param_name' => 'view_btn',
				"dependency" => array(
					'element' => 'style',
					'value' => '2',
				),
			),
			
			$extra_class,
			vc_map_add_css_animation(),
		)
	));
}