<?php
// SNS Carousel
add_shortcode('sns_carousel', 'bodycenter_carousel_template');
add_action('vc_after_init', 'bodycenter_carousel_settings');
function bodycenter_carousel_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('sns_carousel'))
        include $template;
    return ob_get_clean();
}
function bodycenter_carousel_settings() {
	//Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    	class WPBakeryShortCode_SNS_Carousel extends WPBakeryShortCodesContainer {}
    }
	$extra_class = bodycenter_extra_class();
	$css_animation = bodycenter_css_animation();
	if ( function_exists('vc_map') ) vc_map( array(
		"name" => esc_html__("SNS Carousel",'bodycenter-shortcodes'),
		"base" => "sns_carousel",
		"class" => "sns_carousel",
		"category" => esc_html__("BodyCenter",'bodycenter-shortcodes'),
		"description" => esc_html__( "Carousel for other shortcodes",'bodycenter-shortcodes' ),

	    "as_parent" => array('except' => 'sns_carousel'),
	    "content_element" => true,
	    "show_settings_on_create" => true,
	    "is_container" => true,
	    "js_view" => 'VcColumnView',

	    "params" => array(
	        // add params same as with any other content element
	        array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Title",'bodycenter-shortcodes'),
				"param_name" => "title",
				"admin_label" => true,
				"value" => "",
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Slider Type",'bodycenter-shortcodes'),
				"param_name" => "slider_type",
				"value" => array(
					esc_html__("Horizontal",'bodycenter-shortcodes') => 'h',
					esc_html__("Horizontal center mode",'bodycenter-shortcodes') => 'h-c',
					esc_html__("Horizontal Syncing with pagging",'bodycenter-shortcodes') => 'h-s',
					esc_html__("Vertical",'bodycenter-shortcodes') =>  'v'
				)
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Show Navigation",'bodycenter-shortcodes'),
				"param_name" => "show_nav",
				"value" => array(
					esc_html__("No",'bodycenter-shortcodes') => '0',
					esc_html__("Yes",'bodycenter-shortcodes') =>  '1'
				),
				'dependency' => array(
					'element' => 'slider_type',
					'value' => array('h', 'v' , 'h-c')
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Show Paging",'bodycenter-shortcodes'),
				"param_name" => "show_paging",
				"value" => array(
					esc_html__("No",'bodycenter-shortcodes') => '0',
					esc_html__("Yes",'bodycenter-shortcodes') =>  '1'
				),
				'dependency' => array(
					'element' => 'slider_type',
					'value' => array('h', 'v')
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Auto play",'bodycenter-shortcodes'),
				"param_name" => "autoplay",
				"value" => array(
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
					esc_html__("No",'bodycenter-shortcodes') =>  '0'
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number row on column",'bodycenter-shortcodes'),
				"param_name" => "row",
				"value" => esc_html__("1",'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'slider_type',
					'value' => array('h', 'v')
				),
			),
	        array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number items on Desktop",'bodycenter-shortcodes'),
				"param_name" => "n_desktop",
				"value" => esc_html__("1",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				'dependency' => array(
					'element' => 'slider_type',
					'value' => array('h')
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number items on Tablet Landscape",'bodycenter-shortcodes'),
				"param_name" => "n_tablet",
				"value" => esc_html__("1",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				'dependency' => array(
					'element' => 'slider_type',
					'value' => array('h')
				),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number items on Tablet Portrait",'bodycenter-shortcodes'),
				"param_name" => "n_tabletp",
				"admin_label" => true,
				"value" =>  esc_html__("1", 'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				'dependency' => array(
					'element' => 'slider_type',
					'value' => array('h')
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number items on Mobile Landscape",'bodycenter-shortcodes'),
				"param_name" => "n_mobile_l",
				"value" => esc_html__("1",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				'dependency' => array(
					'element' => 'slider_type',
					'value' => array('h')
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number items on Mobile Portrait",'bodycenter-shortcodes'),
				"param_name" => "n_mobile_p",
				"value" => esc_html__("1",'bodycenter-shortcodes'),
				"group" => __( 'Column settings', 'bodycenter-shortcodes' ),
				'dependency' => array(
					'element' => 'slider_type',
					'value' => array('h')
				),
			),
			$css_animation,
			$extra_class,
	    ),
	) );
}
