<?php
// SNS Carousel
add_shortcode('sns_grid_items', 'bodycenter_grid_items_template');
add_action('vc_after_init', 'bodycenter_grid_item_settings');
function bodycenter_grid_items_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('sns_grid_items'))
        include $template;
    return ob_get_clean();
}
function bodycenter_grid_item_settings() {
	//Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
	if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    	class WPBakeryShortCode_SNS_Grid_Items extends WPBakeryShortCodesContainer {}
    }
	$extra_class = bodycenter_extra_class();
	$css_animation = bodycenter_css_animation();
	if ( function_exists('vc_map') ) vc_map( array(
		"name"  => esc_html__("SNS Grid Items", 'bodycenter-shortcodes'),
		"base" => "sns_grid_items",
		"icon" => "vc_icon_snstheme",
		"class" => "vc_icon_snstheme",
		"content_element" => true ,
		"category" => esc_html__('BodyCenter', 'bodycenter-shortcodes'),
		"description" => esc_html__( 'A grid contain items', 'bodycenter-shortcodes' ),
		"as_parent" => array('except' => 'sns_grid_items'),
	    // "content_element" => true,
	    // "show_settings_on_create" => true,
	    // "is_container" => true,
	    "js_view" => 'VcColumnView',
		"params" => array(
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number column/row on Desktop",'bodycenter-shortcodes'),
				"param_name" => "n_desktop",
				"value" => esc_html__("1",'bodycenter-shortcodes'),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number column/row on Tablet Landscape",'bodycenter-shortcodes'),
				"param_name" => "n_tablet",
				"value" => esc_html__("1",'bodycenter-shortcodes'),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Number column/row on Tablet Portrait",'bodycenter-shortcodes'),
				"param_name" => "n_tabletp",
				"admin_label" => true,
				"value" =>  esc_html__("1", 'bodycenter-shortcodes'),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number column/row on Mobile Landscape",'bodycenter-shortcodes'),
				"param_name" => "n_mobile_l",
				"value" => esc_html__("1",'bodycenter-shortcodes'),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number column/row on Mobile Portrait",'bodycenter-shortcodes'),
				"param_name" => "n_mobile_p",
				"value" => esc_html__("1",'bodycenter-shortcodes'),
			),
			$extra_class,
			vc_map_add_css_animation(),
		)
	) );
}