<?php
// SNS Info Box
add_shortcode('sns_info_box', 'bodycenter_info_box_template');
add_action('vc_after_init', 'bodycenter_info_box_settings');
function bodycenter_info_box_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('sns_info_box'))
        include $template;
    return ob_get_clean();
}

function bodycenter_info_box_settings() {
	$extra_class = bodycenter_extra_class();
    vc_map( array(
		"name"  => esc_html__("SNS Info Box", 'bodycenter-shortcodes'),
		"base" => "sns_info_box",
		"show_settings_on_create" => true ,
		"is_container" => false ,
		"icon" => "vc_icon_snstheme",
		"class" => "vc_icon_snstheme",
		"content_element" => true ,
		"category" => esc_html__('BodyCenter', 'bodycenter-shortcodes'),
		'description' => esc_html__( 'Box contain: icon, title, description', 'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "dropdown",
				'value' => array(
					esc_html__( 'Style 1', 'bodycenter-shortcodes' ) => '1',
					esc_html__( 'Style 2', 'bodycenter-shortcodes' ) => '2',
					// esc_html__( 'Style 3', 'bodycenter-shortcodes' ) => '3',
					// esc_html__( 'Style 4', 'bodycenter-shortcodes' ) => '4',
				),
				"heading" => esc_html__("Box style", 'bodycenter-shortcodes'),
				"param_name" => "box_style"
		    ),
		    array(
				"type" => "dropdown",
				"heading" => esc_html__("Want use effect when hover for icon",'bodycenter-shortcodes'),
				"param_name" => "want_effect",
				"class" => "",
				"value" => array(
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
					esc_html__("No",'bodycenter-shortcodes') =>  '2',
				),
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Icon library', 'bodycenter-shortcodes' ),
				'value' => array(
					esc_html__( 'Media', 'bodycenter-shortcodes' ) => 'media',
					esc_html__( 'Font Awesome', 'bodycenter-shortcodes' ) => 'fontawesome',
					esc_html__( 'Flaticon', 'bodycenter-shortcodes' ) => 'flaticon',
					esc_html__( 'Open Iconic', 'bodycenter-shortcodes' ) => 'openiconic',
					esc_html__( 'Typicons', 'bodycenter-shortcodes' ) => 'typicons',
					esc_html__( 'Entypo', 'bodycenter-shortcodes' ) => 'entypo',
					esc_html__( 'Linecons', 'bodycenter-shortcodes' ) => 'linecons',
				),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'bodycenter-shortcodes' ),
			),
			array(
		      "type" => "attach_image",
		      "heading" => esc_html__("Image", 'bodycenter-shortcodes'),
		      "param_name" => "icon_image",
		      'dependency' => array(
					'element' => 'icon_type',
					'value' => 'media',
			   ),
		    ),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'bodycenter-shortcodes' ),
				'param_name' => 'icon_fontawesome',
				'value' => 'fa fa-adjust', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false,
					'iconsPerPage' => 4000,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'description' => esc_html__( 'Select icon from library.', 'bodycenter-shortcodes' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'bodycenter-shortcodes' ),
				'param_name' => 'icon_flaticon',
				'value' => '', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'flaticon',
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'flaticon',
				),
				'description' => esc_html__( 'Select icon from library.', 'bodycenter-shortcodes' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'bodycenter-shortcodes' ),
				'param_name' => 'icon_openiconic',
				'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'openiconic',
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'openiconic',
				),
				'description' => esc_html__( 'Select icon from library.', 'bodycenter-shortcodes' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'bodycenter-shortcodes' ),
				'param_name' => 'icon_typicons',
				'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'typicons',
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'typicons',
				),
				'description' => esc_html__( 'Select icon from library.', 'bodycenter-shortcodes' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'bodycenter-shortcodes' ),
				'param_name' => 'icon_entypo',
				'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'entypo',
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'entypo',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'bodycenter-shortcodes' ),
				'param_name' => 'icon_linecons',
				'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false, // default true, display an "EMPTY" icon?
					'type' => 'linecons',
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'linecons',
				),
				'description' => esc_html__( 'Select icon from library.', 'bodycenter-shortcodes' ),
			),
			array(
				"type" => "colorpicker",
				"value" => "",
				"heading" => esc_html__("Color for icon", 'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => array('linecons','fontawesome','entypo','typicons','openiconic'),
				),
				"param_name" => "icon_color"
		    ),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Font size for icon", 'bodycenter-shortcodes'),
				"param_name" => "icon_font_size" ,
				"value" => esc_html__("22px",'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => array('linecons','fontawesome', 'flaticon', 'entypo','typicons','openiconic'),
				),
				"description" => esc_html__("It's font-size for icon you sellected, example: 24px", 'bodycenter-shortcodes')
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Box size of icon", 'bodycenter-shortcodes'),
				"param_name" => "max_width" ,
				"description" => esc_html__("It's width/height for box contain icon, example: 40px", 'bodycenter-shortcodes'),
				// 'dependency' => array(
				// 	'element' => 'icon_type',
				// 	'value' => 'media',
			 //    ),
				"value" => esc_html__("", 'bodycenter-shortcodes')
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Custom Link", 'bodycenter-shortcodes'),
				"param_name" => "link" ,
				"description" => esc_html__("Enter the  link. Do't forget to include http:// ", 'bodycenter-shortcodes'),
				"value" => esc_html__("http://", 'bodycenter-shortcodes')
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Title", 'bodycenter-shortcodes'),
				"param_name" => "title",
				"value" => esc_html__("Your Title Here ...",'bodycenter-shortcodes'),
				"admin_label" => true 
			),
			array(
				'type' => 'textarea_html',
				"heading" => esc_html__("Description", 'bodycenter-shortcodes'),
				"param_name" => "content",
				'dependency' => array(
					'element' => 'box_style',
					'value' => array('1', '2'),
				),
				"admin_label" => true 
			),
			$extra_class,
			vc_map_add_css_animation(),
		)
	));
}