<?php
// SNS Info Box
add_shortcode('sns_info_inline', 'bodycenter_info_inline_template');
add_action('vc_after_init', 'bodycenter_info_inline_settings');
function bodycenter_info_inline_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('sns_info_inline'))
        include $template;
    return ob_get_clean();
}
function bodycenter_info_inline_settings() {
	$extra_class = bodycenter_extra_class();
    vc_map( array(
		"name"  => esc_html__("SNS Info Inline", 'bodycenter-shortcodes'),
		"base" => "sns_info_inline",
		"show_settings_on_create" => true ,
		"is_container" => false ,
		"icon" => "vc_icon_snstheme",
		"class" => "vc_icon_snstheme",
		"content_element" => true ,
		"category" => esc_html__('BodyCenter', 'bodycenter-shortcodes'),
		'description' => esc_html__( 'Contain: icon, title, link, ... and display inline', 'bodycenter-shortcodes' ),
		"params" => array(
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Style', 'bodycenter-shortcodes' ),
				'value' => array(
					esc_html__( 'Default', 'bodycenter-shortcodes' ) => '',
					esc_html__( 'Social', 'bodycenter-shortcodes' ) => 'social',
					esc_html__( 'Social Rounded', 'bodycenter-shortcodes' ) => 'social_rounded',
				),
				'param_name' => 'style',
			),
			// array(
			// 	'type' => 'checkbox',
			// 	'heading' => __( 'Use icon?', 'bodycenter-shortcodes' ),
			// 	'param_name' => 'use_icon',
			// 	'description' => __( 'Use icon in content', 'bodycenter-shortcodes' ),
			// ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Use icon?', 'bodycenter-shortcodes' ),
				'value' => array(
					esc_html__( 'No', 'bodycenter-shortcodes' ) => '',
					esc_html__( 'Font Awesome', 'bodycenter-shortcodes' ) => 'fontawesome',
					esc_html__( 'Flaticon', 'bodycenter-shortcodes' ) => 'flaticon',
				),
				'param_name' => 'icon_type',
				'description' => esc_html__( 'Select icon library.', 'bodycenter-shortcodes' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'bodycenter-shortcodes' ),
				'param_name' => 'icon_fontawesome',
				'value' => 'fa fa-adjust', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false,
					'iconsPerPage' => 4000,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'fontawesome',
				),
				'description' => esc_html__( 'Select icon from library.', 'bodycenter-shortcodes' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' => esc_html__( 'Icon', 'bodycenter-shortcodes' ),
				'param_name' => 'icon_flaticon',
				'value' => '', // default value to backend editor admin_label
				'settings' => array(
					'emptyIcon' => false,
					'type' => 'flaticon',
					'iconsPerPage' => 4000,
				),
				'dependency' => array(
					'element' => 'icon_type',
					'value' => 'flaticon',
				),
				'description' => esc_html__( 'Select icon from library.', 'bodycenter-shortcodes' ),
			),
			array(
				'type' => 'checkbox',
				'heading' => __( 'Use label?', 'bodycenter-shortcodes' ),
				'param_name' => 'use_label',
				'description' => __( 'Use label in content', 'bodycenter-shortcodes' ),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Label", 'bodycenter-shortcodes'),
				"param_name" => "label",
				"value" => esc_html__("Your label here ...",'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'use_label',
					'value' => 'true',
				),
				"admin_label" => true 
			),
			array(
				'type' => 'checkbox',
				'heading' => __( 'Use link?', 'bodycenter-shortcodes' ),
				'param_name' => 'use_link',
				'description' => __( 'Use link in content', 'bodycenter-shortcodes' ),
			),
			array(
				"type" => "textfield",
				"heading" => esc_html__("Link", 'bodycenter-shortcodes'),
				"param_name" => "link" ,
				"description" => esc_html__("Enter the  link. Do't forget to include http:// ", 'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'use_link',
					'value' => 'true',
				),
				"value" => esc_html__("http://", 'bodycenter-shortcodes')
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Link type', 'bodycenter-shortcodes' ),
				'value' => array(
					esc_html__( 'Default', 'bodycenter-shortcodes' ) => '0',
					esc_html__( 'Use mailto:', 'bodycenter-shortcodes' ) => '1',
					esc_html__( 'Use tel:', 'bodycenter-shortcodes' ) => '2',
				),
				'dependency' => array(
					'element' => 'use_link',
					'value' => 'true',
				),
				'param_name' => 'href_type',
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__( 'Link target', 'bodycenter-shortcodes' ),
				'value' => array(
					esc_html__( 'Same window', 'bodycenter-shortcodes' ) => '_self',
					esc_html__( 'New window', 'bodycenter-shortcodes' ) => '_blank',
				),
				'dependency' => array(
					'element' => 'use_link',
					'value' => 'true',
				),
				'param_name' => 'target',
			),
			$extra_class,
			vc_map_add_css_animation(),
		)
	));
}