<?php
// SNS Instagram
add_shortcode('sns_instagram', 'bodycenter_instagram_template');
add_action('vc_after_init', 'bodycenter_instagram_settings');
function bodycenter_instagram_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('sns_instagram'))
        include $template;
    return ob_get_clean();
}
function bodycenter_instagram_settings() {
	$extra_class = bodycenter_extra_class();
		vc_map( array(
		"name" => esc_html__("SNS Instagram",'bodycenter-shortcodes'),
		"base" => "sns_instagram",
		"icon" => "sns_icon_listposts",
		"class" => "sns_listposts",
		"category" => esc_html__("BodyCenter",'bodycenter-shortcodes'),
		"description" => esc_html__( "Show instagram feed", 'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Title",'bodycenter-shortcodes'),
				"param_name" => "title",
				"value" =>  esc_html__("Instagram",'bodycenter-shortcodes'),
				"admin_label" => true,
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Dispplay type",'bodycenter-shortcodes'),
				"param_name" => "type",
				"class" => "",
				"value" => array(
					esc_html__("New feed",'bodycenter-shortcodes') => 'new',
					esc_html__("By tag",'bodycenter-shortcodes') =>  'tag',
				),
				"admin_label" => true,
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Tag name",'bodycenter-shortcodes'),
				"param_name" => "tag",
				"value" =>  esc_html__("sns_bodycenter",'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'type',
					'value' => array('tag'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("User id",'bodycenter-shortcodes'),
				"param_name" => "user_id",
				"value" =>  esc_html__("5922978930",'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'type',
					'value' => array('new'),
				),
				"admin_label" => true,
			), 
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Access token",'bodycenter-shortcodes'),
				"param_name" => "access_token",
				"value" =>  esc_html__("5922978930.0f5c892.2cde8aa05686432e96d4be192bd5dcd9",'bodycenter-shortcodes'),
				"admin_label" => true,
				'description' => __( 'How to get: User id and Access token http://domain.com', 'bodycenter-shortcodes' ),
			),
			
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Dispplay style",'bodycenter-shortcodes'),
				"param_name" => "style",
				"value" => array(
					esc_html__("Grid",'bodycenter-shortcodes') =>  'grid',
					esc_html__("Grid Special",'bodycenter-shortcodes') =>  'grid-special',
					esc_html__("Carousel",'bodycenter-shortcodes') => 'carousel',
				),
				"admin_label" => true,
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Follow link",'bodycenter-shortcodes'),
				"param_name" => "follow_link",
				"value" =>  esc_html__("",'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'style',
					'value' => array('grid-special', 'carousel'),
				),
				"admin_label" => true,
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Instagram name",'bodycenter-shortcodes'),
				"param_name" => "instagram_name",
				"value" =>  esc_html__("",'bodycenter-shortcodes'),
				'dependency' => array(
					'element' => 'style',
					'value' => array('grid-special', 'carousel'),
				),
				"admin_label" => true,
			), 
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Photo size",'bodycenter-shortcodes'),
				"param_name" => "size",
				"value" => array(
					esc_html__("Standard",'bodycenter-shortcodes') => '',
					esc_html__("Low",'bodycenter-shortcodes') => 'low',
					esc_html__("Thumbnail",'bodycenter-shortcodes') => 'thumbnail',
				),
			),

			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number limit",'bodycenter-shortcodes'),
				"param_name" => "limit",
				"value" => "8",
				'dependency' => array(
					'element' => 'style',
					'value' => array('grid', 'carousel'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column on row",'bodycenter-shortcodes'),
				"param_name" => "number",
				"value" => "4",
				'dependency' => array(
					'element' => 'style',
					'value' => array('grid'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Desktop",'bodycenter-shortcodes'),
				"param_name" => "number_desktop",
				"value" => "5",
				'dependency' => array(
					'element' => 'style',
					'value' => array('carousel'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Tablet Landscape",'bodycenter-shortcodes'),
				"param_name" => "number_tablet",
				"value" => "4",
				'dependency' => array(
					'element' => 'style',
					'value' => array('carousel'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Tablet Portrait",'bodycenter-shortcodes'),
				"param_name" => "number_tabletp",
				"value" => "4",
				'dependency' => array(
					'element' => 'style',
					'value' => array('carousel'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display Mobile Landscape",'bodycenter-shortcodes'),
				"param_name" => "number_mobilel",
				"value" => "2",
				'dependency' => array(
					'element' => 'style',
					'value' => array('carousel'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Mobile Portrait",'bodycenter-shortcodes'),
				"param_name" => "number_mobilep",
				"value" => "1",
				'dependency' => array(
					'element' => 'style',
					'value' =>array('carousel'),
				),
			),
			vc_map_add_css_animation(),
			$extra_class,
		)
	) );
}