<?php
// SNS List Post
add_shortcode('sns_list_posts', 'bodycenter_list_posts_template');
add_action('vc_after_init', 'bodycenter_list_posts_settings');
function bodycenter_list_posts_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('sns_list_posts'))
        include $template;
    return ob_get_clean();
}
function bodycenter_list_posts_settings() {
	$extra_class = bodycenter_extra_class();
	$cat_value = bodycenter_cat();
		vc_map( array(
		"name" => esc_html__("SNS List Post",'bodycenter-shortcodes'),
		"base" => "sns_list_posts",
		"icon" => "sns_icon_listposts",
		"class" => "sns_listposts",
		"category" => esc_html__("BodyCenter",'bodycenter-shortcodes'),
		"description" => esc_html__( "Show List Posts", 'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Title",'bodycenter-shortcodes'),
				"param_name" => "title",
				"value" =>  esc_html__("Latest News",'bodycenter-shortcodes'),
				"admin_label" => true,
			),
			array(
				"type" => "checkbox",
				"value" => $cat_value,
				"class" => "",
				"heading" => esc_html__("Categories",'bodycenter-shortcodes'),
				"description" => esc_html__( "If you dont sellect category, the default is sellected all category", 'bodycenter-shortcodes' ),
				"param_name" => "category"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Want to show date?",'bodycenter-shortcodes'),
				"param_name" => "show_date",
				"class" => "",
				"value" => array(
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
					esc_html__("No",'bodycenter-shortcodes') =>  '2',
				),
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Want to show author?",'bodycenter-shortcodes'),
				"param_name" => "show_author",
				"class" => "",
				"value" => array(
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
					esc_html__("No",'bodycenter-shortcodes') =>  '2',
				),
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Want to show description?",'bodycenter-shortcodes'),
				"param_name" => "show_desc",
				"class" => "",
				"value" => array(
					esc_html__("Yes",'bodycenter-shortcodes') => '1',
					esc_html__("No",'bodycenter-shortcodes') =>  '2',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Template style",'bodycenter-shortcodes'),
				"param_name" => "style",
				"value" => array(
					esc_html__("Style1",'bodycenter-shortcodes') =>  'style1',
					esc_html__("Style2 - Carousel",'bodycenter-shortcodes') => 'style2',
					esc_html__("Style3 - Slick slider",'bodycenter-shortcodes') => 'style3',
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Want to choose thumbnail",'bodycenter-shortcodes'),
				"param_name" => "thumbnail",
				"value" => array(
					esc_html__("No",'bodycenter-shortcodes') => '',
					esc_html__("bodycenter_blog_special_thumb",'bodycenter-shortcodes') => 'bodycenter_blog_special_thumb',
					esc_html__("bodycenter_blog_tiny_7080_thumb",'bodycenter-shortcodes') => 'bodycenter_blog_tiny_7080_thumb',
					esc_html__("WP thumbnail",'bodycenter-shortcodes') => 'thumbnail',
					esc_html__("WP medium",'bodycenter-shortcodes') => 'medium',
					esc_html__("WP large",'bodycenter-shortcodes') => 'large',
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Posts number limit",'bodycenter-shortcodes'),
				"param_name" => "number_limit",
				"value" => "4"
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Order By",'bodycenter-shortcodes'),
				"param_name" => "orderby",
				"class" => "",
				"value" => array(
					esc_html__("Date",'bodycenter-shortcodes') => 'date',
					esc_html__("Title",'bodycenter-shortcodes') =>  'title',
					esc_html__("author",'bodycenter-shortcodes') =>  'author',
					esc_html__("Random",'bodycenter-shortcodes') =>  'rand',
					esc_html__("Comment Count",'bodycenter-shortcodes') =>  'comment_count',
					esc_html__("Menu Order",'bodycenter-shortcodes') =>  'menu_order',
				),
			),
			array(
				"type" => "dropdown",
				"heading" => esc_html__("Sort order",'bodycenter-shortcodes'),
				"param_name" => "sortorder",
				"class" => "",
				"value" => array(
					esc_html__("ASC",'bodycenter-shortcodes') => 'ASC',
					esc_html__("DESC",'bodycenter-shortcodes') =>  'DESC',
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Desktop",'bodycenter-shortcodes'),
				"param_name" => "number_desktop",
				"value" => "5",
				'dependency' => array(
					'element' => 'style',
					'value' => array('style2'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Tablet Landscape",'bodycenter-shortcodes'),
				"param_name" => "number_tablet",
				"value" => "4",
				'dependency' => array(
					'element' => 'style',
					'value' => array('style2'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Tablet Portrait",'bodycenter-shortcodes'),
				"param_name" => "number_tabletp",
				"value" => "4",
				'dependency' => array(
					'element' => 'style',
					'value' => array('style2'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display Mobile Landscape",'bodycenter-shortcodes'),
				"param_name" => "number_mobilel",
				"value" => "2",
				'dependency' => array(
					'element' => 'style',
					'value' => array('style2'),
				),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Number Column display screen Mobile Portrait",'bodycenter-shortcodes'),
				"param_name" => "number_mobilep",
				"value" => "1",
				'dependency' => array(
					'element' => 'style',
					'value' => array('style2'),
				),
			),
			vc_map_add_css_animation(),
			$extra_class,
		)
	) );
}