<?php
// SNS Single Testimonial
add_shortcode('sns_single_testimonial', 'bodycenter_single_testimonial_template');
add_action('vc_after_init', 'bodycenter_single_testimonial_settings');
function bodycenter_single_testimonial_template($atts, $content = null) {
    ob_start();
    if ($template = bodycenter_shortcode_template('sns_single_testimonial'))
        include $template;
    return ob_get_clean();
}
function bodycenter_single_testimonial_settings() {
	$extra_class = bodycenter_extra_class();
	$css_animation = bodycenter_css_animation();
	
	vc_map( array(
		"name"  => esc_html__("SNS Single Testimonial", 'bodycenter-shortcodes'),
		"base" => "sns_single_testimonial",
		"show_settings_on_create" => true ,
		"is_container" => false ,
		"icon" => "vc_icon_snstheme",
		"class" => "vc_icon_snstheme",
		"content_element" => true ,
		"category" => esc_html__('BodyCenter', 'bodycenter-shortcodes'),
		'description' => esc_html__( 'Display single Testimonial', 'bodycenter-shortcodes' ),
		"params" => array(
			array(
				"type" => "textarea",
				"heading" => esc_html__("Testimonial content", 'bodycenter-shortcodes'),
				"param_name" => "testimonial_content"
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Style",'bodycenter-shortcodes'),
				"param_name" => "style",
				"value" => array(
					esc_html__("Style1",'bodycenter-shortcodes') => 'style1',
					esc_html__("Style2",'bodycenter-shortcodes') => 'style2',
				),
			),
			array(
		        "type" => "attach_image",
		        "heading" => esc_html__("Author avatar", 'bodycenter-shortcodes'),
		        "param_name" => "author_avatar",
		    ),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Author name",'bodycenter-shortcodes'),
				"param_name" => "author_name",
				"admin_label" => true,
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Author position",'bodycenter-shortcodes'),
				"param_name" => "author_position",
				"admin_label" => true,
			),
			
			$extra_class,
			$css_animation,
		)
	));
}